<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="24" short-name="handshakes" url="https://polygon.codeforces.com/p8z1foS/linsierra/handshakes">
        
    <names>
                
        <name language="russian" value="Рукопожатия"/>
            
    </names>
        
    <statements>
                
        <statement charset="UTF-8" language="russian" path="statements/russian/problem.tex" type="application/x-tex"/>
                
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
            
    </statements>
        
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="">
                
        <testset name="tests">
                        
            <time-limit>1000</time-limit>
                        
            <memory-limit>268435456</memory-limit>
                        
            <test-count>219</test-count>
                        
            <input-path-pattern>tests/%02d</input-path-pattern>
                        
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
                        
            <tests>
                                
                <test group="samples" method="manual" points="0.0" sample="true"/>
                                
                <test group="task1" method="manual" points="25.0"/>
                                
                <test group="task1" method="manual" points="0.0"/>
                                
                <test group="task1" method="manual" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 1" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 2" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 3" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 4" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 5" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 6" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 7" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 8" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 9" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 10 1 10 1 10 10" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 1" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 2" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 3" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 4" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 5" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 6" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 7" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 8" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 9" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 10" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 11" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 12" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 13" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 14" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 15" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 16" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 17" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 18" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 19" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 11 100 1 10 50 100 20" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 1" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 2" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 3" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 4" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 5" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 6" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 7" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 8" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 9" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 10" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 11" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 12" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 13" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 14" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 15" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 16" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 17" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 18" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 19" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 1 10 300 500 20" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 1" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 2" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 3" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 4" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 5" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 6" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 7" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 8" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 9" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 10" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 11" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 12" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 13" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 14" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 15" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 16" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 17" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 18" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 19" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 1 10 700 1000 20" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 1" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 2" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 3" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 4" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 5" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 6" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 7" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 8" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 9" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 10" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 11" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 12" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 13" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 14" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 15" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 16" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 17" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 18" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 19" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1001 5000 1 10 3000 5000 20" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 1" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 2" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 3" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 4" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 5" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 6" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 7" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 8" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 9" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 10" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 11" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 12" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 13" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 14" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 15" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 16" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 17" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 18" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 19" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 5001 10000 1 10 7000 10000 20" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 1" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 2" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 3" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 4" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 5" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 6" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 7" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 8" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 9" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10 10 10000 10000 10" group="task1" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 1" group="task2" method="generated" points="75.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 2" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 3" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 4" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 5" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 6" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 7" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 8" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 9" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 10" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 11" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 12" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 13" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 14" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 15" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 16" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 17" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 18" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 19" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 1 100 1 100 80 100 20" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 1" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 2" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 3" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 4" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 5" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 6" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 7" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 8" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 9" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 10" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 11" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 12" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 13" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 14" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 15" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 16" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 17" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 18" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 19" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 101 500 101 500 100 100 20" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 1" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 2" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 3" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 4" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 5" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 6" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 7" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 8" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 9" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 10" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 11" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 12" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 13" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 14" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 15" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 16" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 17" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 18" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 19" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 501 1000 501 1000 90 100 20" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 1" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 2" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 3" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 4" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 5" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 6" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 7" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 8" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 9" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 10" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 11" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 12" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 13" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 14" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 15" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 16" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 17" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 18" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 19" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener 10000 10000 10000 10000 100 100 20" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 1" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 2" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 3" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 4" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 5" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 6" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 7" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 8" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 9" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 100 100 10" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max_max 1" group="task2" method="generated" points="0.0"/>
                                
                <test cmd="gener_max_max 2" group="task2" method="generated" points="0.0"/>
                                
                <test group="task2" method="manual" points="0.0"/>
                                
                <test group="task2" method="manual" points="0.0"/>
                                
                <test cmd="gener_max 10000 10000 10000 10000 1 1 1" group="task2" method="generated" points="0.0"/>
                            
            </tests>
                        
            <groups>
                                
                <group feedback-policy="complete" name="samples" points="0.0" points-policy="complete-group"/>
                                
                <group feedback-policy="complete" name="task1" points="25.0" points-policy="complete-group">
                                        
                    <dependencies>
                                                
                        <dependency group="samples"/>
                                            
                    </dependencies>
                                    
                </group>
                                
                <group feedback-policy="complete" name="task2" points="75.0" points-policy="complete-group">
                                        
                    <dependencies>
                                                
                        <dependency group="samples"/>
                                                
                        <dependency group="task1"/>
                                            
                    </dependencies>
                                    
                </group>
                            
            </groups>
                    
        </testset>
            
    </judging>
        
    <files>
                
        <resources>
                        
            <file path="files/olymp.sty"/>
                        
            <file path="files/problem.tex"/>
                        
            <file path="files/statements.ftl"/>
                        
            <file path="files/testlib.h" type="h.g++"/>
                    
        </resources>
                
        <executables>
                        
            <executable>
                                
                <source path="files/gener.cpp" type="cpp.g++17"/>
                                
                <binary path="files/gener.exe" type="exe.win32"/>
                            
            </executable>
                        
            <executable>
                                
                <source path="files/gener_max.cpp" type="cpp.g++17"/>
                                
                <binary path="files/gener_max.exe" type="exe.win32"/>
                            
            </executable>
                        
            <executable>
                                
                <source path="files/gener_max_max.cpp" type="cpp.g++17"/>
                                
                <binary path="files/gener_max_max.exe" type="exe.win32"/>
                            
            </executable>
                        
            <executable>
                                
                <source path="files/validator.cpp" type="cpp.g++17"/>
                                
                <binary path="files/validator.exe" type="exe.win32"/>
                            
            </executable>
                    
        </executables>
            
    </files>
        
    <assets>
                
        <checker name="std::ncmp.cpp" type="testlib">
                        
            <source path="files/check.cpp" type="cpp.g++17"/>
                        
            <binary path="check.exe" type="exe.win32"/>
                        
            <copy path="check.cpp"/>
                        
            <testset>
                                
                <test-count>0</test-count>
                                
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                                
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                                
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                                
                <tests/>
                            
            </testset>
                    
        </checker>
                
        <validators>
                        
            <validator>
                                
                <source path="files/validator.cpp" type="cpp.g++17"/>
                                
                <binary path="files/validator.exe" type="exe.win32"/>
                                
                <testset>
                                        
                    <test-count>2</test-count>
                                        
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                                        
                    <tests>
                                                
                        <test verdict="valid"/>
                                                
                        <test verdict="invalid"/>
                                            
                    </tests>
                                    
                </testset>
                            
            </validator>
                    
        </validators>
                
        <solutions>
                        
            <solution tag="time-limit-exceeded-or-accepted">
                                
                <source path="solutions/np_correct.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/np_correct.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="time-limit-exceeded-or-accepted" testset="tests"/>
                                        
                    <extra-tag group="task1" tag="accepted"/>
                                        
                    <extra-tag group="task2" tag="time-limit-exceeded-or-accepted"/>
                                        
                    <extra-tag group="samples" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                        
            <solution tag="main">
                                
                <source path="solutions/vm_correct.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/vm_correct.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="accepted" testset="tests"/>
                                        
                    <extra-tag group="task1" tag="accepted"/>
                                        
                    <extra-tag group="task2" tag="accepted"/>
                                        
                    <extra-tag group="samples" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                    
        </solutions>
            
    </assets>
        
    <properties>
                
        <property name="tests-wellformed" value="true"/>
            
    </properties>
        
    <stresses>
                
        <stress-count>2</stress-count>
                
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
                
        <list>
                        
            <stress index="2" path="stresses/002"/>
                        
            <stress index="1" path="stresses/001"/>
                    
        </list>
            
    </stresses>
        
    <tags>
                
        <tag value="implementation"/>
            
    </tags>
    
</problem>
